Page MenuHomePhabricator

[mxn multi widget] Optimization of the mxn multi widget
Open, NormalPublic

Description

In order to bring the full potential of the mxn multi widget to the MITK workbench, some issues still need to be addressed.
This meta-task will gather the relevant (mostly already known) issues.

Also related or good to solve in parallel:

Revisions and Commits

rMITK MITK
Restricted Differential Revision
Restricted Differential Revision

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
Resolvedkalali
Resolvedkalali
Resolvedkalali
Resolvedkalali
Resolvedkalali
Wontfixkalali
Resolvedkalali
OpenNone
Resolvedkalali
Resolvedkalali
OpenNone
OpenNone
Resolvedkalali
OpenNone
OpenNone
OpenNone
OpenNone

Event Timeline

kalali updated the task description. (Show Details)
kalali removed a subtask: Restricted Maniphest Task.Jun 29 2022, 3:18 PM

I created a first working version, based on @s434n's branch (see above). I created an integration branch, made some changes and rebased everything to the latest develop.
Now the following changes, which are already merged into develop, are included, since the integration branch is based on e4d0b1591a17054b4c6792c235aa41345b842cb7:

Furthermore a bugfix was needed for the QmitkRenderWindowUtilityWidget: Similar to the ImageNavigator the axes have to be check in order to detect inverted directions. This needs to be done here as well.

  • {T26627} / {D714}
kalali closed subtask Restricted Maniphest Task as Resolved.Oct 4 2022, 2:51 PM

I added another fix to have a simple datanode context menu with a reinit and reset-geometry action for render-window specific initialization.

{D722} also belongs to this task but might not be finished this week.

kalali added a revision: Restricted Differential Revision.Oct 5 2022, 8:15 PM

Deleted branch from rMITK MITK: feature/T28578-MxN-development.